#
# spec file for package hactool
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hactool
Version:        1.4.0
Release:        1.14
Summary:        Tool to view/extract information about Nintendo Switch Archives
License:        ISC
Group:          Hardware/Other
URL:            https://github.com/SciresM/hactool
Source:         https://github.com/SciresM/hactool/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
hactool is a tool to view information about, decrypt, and extract
common file formats for the Nintendo Switch, especially Nintendo
Content Archives.

%prep
%setup -q
mv config.mk.template config.mk

%build
make %{?_smp_mflags}

%install
install -D -m0755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.4.0:
  * see https://github.com/SciresM/hactool/releases
* Sun Jul  7 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary. Wrap main description.
* Sun Jun 30 2019 Philipp <p.seiler@linuxmail.org>
- removed RPM group FIXME as the already present group was the most
  most fitting one
* Tue Jun 25 2019 Philipp <p.seiler@linuxmail.org>
- used spec-cleaner for cleanup (changed license to use macro)
* Thu Jan 24 2019 p.seiler@linuxmail.org
- Updated to hactool version 1.2.2
  * Support was added for 6.2.0+ new key derivation using tsec_root_key and master_kek_source_##.
  * 6.2.0 keydata will no longer be called "Unknown".
  * A bug was fixed involving argument violation to mbed_tls aes routines.
* Tue Jul 31 2018 p.seiler@linuxmail.org
- initial commit
